<?php
include_once 'sys/inc/start.php';
$doc = new document();
$doc->title = 'Активация аккаунта';

if ($user->group)$doc->access_denied('Вы уже зарегистрированы');

if (empty($_GET['id']) ||  empty($_GET['code']))$doc->access_denied('Ошибка активации аккаунта');

$tuser=new user($_GET['id']);

if ($tuser->group)
{
if (!$tuser->a_code)
{
$doc->msg('Аккаунт уже активирован');
echo "Теперь Вы можете <a href='/login.php".(isset($_GET['return'])?'?return='.urlencode($_GET['return']):null)."'>Авторизоваться</a>";
exit;
}
elseif ($tuser->a_code!=$_GET['code'])$doc->err('Неверный код активации');
else
{
$tuser->a_code=null;
$doc->msg('Учетная запись успешно активирована');
echo "Теперь Вы можете <a href='/login.php".(isset($_GET['return'])?'?return='.urlencode($_GET['return']):null)."'>Авторизоваться</a>";
exit;
}
}
else
$doc->err('Учетная запись не найдена');

echo "Попробуйте <a href='/reg.php".(isset($_GET['return'])?'?return='.urlencode($_GET['return']):null)."'>Зарегистрироваться</a> заново.";

?>